%define cvsdate 20021212
%undefine cvsdate

Name: ffmpeg
Version: 0.4.6
%define release alt1

%ifdef cvsdate
Release: %{release}cvs%cvsdate
%else
Release: %release
%endif

Summary: Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Group: Video
License: GPL
Url: http://%name.sourceforge.net

%ifndef cvsdate
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
%else
Source: %name-%cvsdate.tar.bz2
%endif

Patch: %name-20021212-alt-makefile.patch
Patch1: %name-20021212-alt-libavcodec_makefile.patch
Patch2: %name-20021212-alt-libavformat_makefile.patch

# Automatically added by buildreq on Sat Dec 28 2002
BuildRequires: XFree86-devel XFree86-libs freetype imlib2-devel liblame-devel libogg-devel libvorbis-devel zlib-devel

%description
%name is a hyper fast realtime audio/video encoder, a streaming
server and a generic audio and video file converter. 

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%package -n lib%name
Summary: Shared libraries to run ffmpeg
Group: System/Libraries

%description -n lib%name
This package contains the shared libraries required for ffmpeg

%package devel
Summary: Development files for ffmpeg
Group: Development/C
Requires: lib%name = %version-%release

%description devel
This package includes the development libraries, header files and
documentation necessary for developing programs which will use ffmpeg.

%prep
%ifndef cvsdate
%setup -q -n %name-%version
%else
%setup -q -n %name-%cvsdate
%endif

%patch -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
%ifnarch i586 i686 athlon
    --disable-mmx \
%endif
    --enable-shared \
    --enable-mp3lame \
    --enable-vorbis \
    --enable-a52bin

# SMP-incompftible build
%make

%install
#%__mkdir_p %buildroot{%_bindir,%_libdir}
%makeinstall

# server config
%__install -pD -m640 doc/ffserver.conf %buildroot%_sysconfdir/ffserver.conf

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%config(noreplace) %_sysconfdir/*
%doc README Changelog doc/*.html

%files -n lib%name
%_libdir/*.so
%dir %_libdir/vhook
%_libdir/vhook/*.so

%files devel
%_includedir/*
%doc doc/TODO

%changelog
* Sat Dec 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1
- official release.

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.4cvs20021212
- current cvs snapshot.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.3cvs20021101
- current cvs snapshot.

* Sun Jul 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.2cvs20020721
- current cvs snapshot (libname changed to libavcodec).
- ffserver.conf from documentation added in filelist as a config.

* Sat May 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.1cvs20020525
- First build for Sisyphus.
